<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Str;
Use Hash;
use Auth;
use App\Models\User;


class AuthController extends Controller
{
    //
    public function login(Request $request){
        if (Auth::check()){            
            return redirect()->route('dashboard');
        }else{
            return view('auth.login',['title'=>'RIMS Login']);
        }       

    }


    public function loginPost(Request $request){
        //dd($request->all());
        $validator = Validator::make($request->all(), [
            'username' => 'required|email',
            'password' => 'required'
        ]);
  
        if ($validator->fails()){
            return response()->json([
                "status" => false,
                "errors" => $validator->errors()->toArray()
            ]);

        } else {

            $email	       = $request->username;
            $password      = $request->password;
            //$password      = Hash::make($request->password);            
            //$rememberToken = $request->remember;
            
            // Attempt Login for members
            if (Auth::attempt(['email' => $email, 'password' => $password], true)) {
                if (Auth::check()){
                    $user = Auth::user();
                    //dd($user);
                    //$request->session()->regenerate();
                
                    $msg = array(
                            'status'    => 'success',
                            'message'   => 'Login Successful',
                            'redirect'  => 'admin/dashboard',
                            'data'      =>  $request->session()->all(),
                            'data_rr'   =>  $user
                        );
                    return response()->json($msg);
                }else{
                    $msg = array(
                        'status'  => 'error',
                        'message' => 'Login Error : Authentication Failed !',
                        'data'     => ['email' => $email, 'password' => $password, 'pass' => $request->password]
                    );
                    //dd($msg);
                    return response()->json($msg);
                }
                

            } else {
                
                $msg = array(
                    'status'  => 'error',
                    'message' => 'Login Fail : invalid credentials !',
                    'data'     => ['email' => $email, 'password' => $password, 'pass' => $request->password]
                );
                //dd($msg);
                return response()->json($msg);
            }
        }

    }


    public function AdminLogout(Request $request) {
        //logout user
        //dd(Auth::user());
        Auth::logout();
        return redirect('/');
    }

}
