@extends("layouts.app")



@section("content")

<body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        @include("partials.leftnav")
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          {{-- @include("partials.topnav")   --}}    

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <div class="row">
                <div class="col-xxl-12 mb-12 order-0">
                    <!-- Hoverable Table rows -->
                    <div class="card noshado" style="border-redus:0;">
                        <!-- <h5 class="card-header">Hoverable rows</h5> -->
                        <div class="card-body margin_bottom">
                            <div class="row">
                                <div class="col-lg-10 mb-6 order-0 padding0">
                                    <h5 class="mb-1">Manage Admin Users</h5>
                                    <span class="card-subtitle">Manage Admin User, Add Update Users.
                                        <span class="notificationRequest">
                                            <!-- <span class="text-primary">Request Permission</span> -->
                                        </span>
                                    </span>
                                    <div class="margin_top">
                                        <a href="{{route('newadminuser')}}">
                                            <div class="btn btn-primary add_btn "> 
                                                Add New                                                
                                            </div> <span class="action_icon"><i class='bx bx-plus-circle'></i></span>
                                        </a>
                                    </div>
                                    <div class="error"></div>
                                </div>

                                <div class="col-lg-2 mb-6 order-0 table_total">Total Records: <strong>{{$data->total()}}</strong></div>
                                {{-- dd($data) --}}

                                @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                                <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                @endif

                                @if(session()->has('success'))
                                    <div class="alert alert-success">
                                        {{ session()->get('success') }}
                                    </div>
                                @endif
                            </div>        
                        </div>
                        <div class="table-responsive text-nowrap">
                            <table class="table table-hover datatables-basic table border-top">
                                <thead>
                                    <tr class="trbg">
                                        <th style="width:2%;">#</th>
                                        <th style="width:17%;">Name</th>
                                        <th style="width:17%;">Email</th>
                                        <th style="width:15%;">Mobile No</th>
                                        <!-- <th style="width:17%;">Designation</th> -->
                                        <th style="width:8%;">Status</th>
                                        <th style="width:15%; text-align:left;">Role</th>
                                        <th style="width:8%;">Actions</th>
                                    </tr>
                                </thead>

                                <tbody class="table-border-bottom-0">
                                {{-- dd($data->perPage(), $data->count(), $data->currentPage(), $data->items(), $data->total()) --}}
                                @if(count($data) > 0) 
                                                                     
                                    @php                                        
                                        if(isset($_GET['page']) && $_GET['page'] > 1){                                            
                                            $i = $data->perPage() * $_GET['page']-$data->perPage();
                                            //echo $i;
                                        }else{
                                            $i = 0;
                                        }                                                                                
                                    @endphp

                                    @foreach ($data as $user) 
                                        {{-- dd($user->roles->role_name) --}}
                                        <tr>
                                            <td>{{ ++$i }}.</td>
                                            <td>
                                                {{ $user->name}}<br>
                                                <i style="font-size: 13px;"><span>Desig.: </span>{{ $user->designation}}</i>
                                            </td>
                                            <td>{{ $user->email}}</td>
                                            <td>{{ $user->mobile}}</td>
                                            
                                            <td style="text-align: left;">
                                                @if($user->status == 1)
                                                    <span class="badge bg-success me-1">Active</span>
                                                @elseif($user->status == 0)
                                                    <span class="badge bg-danger me-1">De-Active</span>
                                                @endif
                                            </td>

                                            <td style="text-align: left;">

                                                @if(isset($user->roles->role_name) && $user->roles->role_name != '')
                                                    {{ $user->roles->role_name }}
                                                @endif
                                            </td>

                                            <td>
                                                <span class="iconl">
                                                    <a href="{{ route('viewdminuser', $user->id) }}">
                                                        <i class="bx bx-edit icon_bg" title="Edit Profile"></i> 
                                                    </a>
                                                </span> &nbsp;&nbsp;                                            
                                                <span class="iconl">
                                                    <a href="{{ route('changepassword',$user->id) }}">
                                                        <i class="bx bx-cog icon_bg" title="Change Password"></i> 
                                                    </a>
                                                </span>&nbsp;&nbsp;                                            
                                                <span class="iconl"> 
                                                    <!-- confirm('Are you sure, you want to delete user ?') -->
                                                    <a href="{{ route('deletedminuser', $user->id) }}" onclick="return confirm('Are you sure, you want to delete user ?');">
                                                        <i class="bx bx-trash icon_bg" title="Delete Admin Profile"></i> 
                                                    </a>
                                                </span> 
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="7" style="text-align: center; color: #e19d9d;"> No Data Found !!. </td>
                                    </tr>    
                                @endif
                                </tbody>
                            </table>
                            <div class="card-body" style="margin-top: 20px;">
                                <nav aria-label="Page navigation">
                                    <ul class="pagination pagination-rounded pagination-outline-primary">
                                    
                                    {{ $data->onEachSide(1)->links() }}


                                        
                                        <!-- <li class="page-item first">
                                            <a class="page-link" href="javascript:void(0);"><i class="tf-icon bx bx-chevrons-left bx-sm"></i></a>
                                        </li>
                                        
                                        <li class="page-item">
                                            <a class="page-link" href="javascript:void(0);">1</a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="javascript:void(0);">2</a>
                                        </li>
                                        <li class="page-item active">
                                            <a class="page-link" href="javascript:void(0);">3</a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="javascript:void(0);">4</a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="javascript:void(0);">5</a>
                                        </li>
                                        <li class="page-item last">
                                            <a class="page-link" href="javascript:void(0);"><i class="tf-icon bx bx-chevrons-right bx-sm"></i></a>
                                        </li> -->
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <!--/ Hoverable Table rows -->                    
                  </div>
                </div>
                
                
                
              </div>
              
            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            

            <!-- / Footer -->

            
    <!-- / Layout wrapper -->
@stop