<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\AdminUsersController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\ParentmenuController;
use App\Http\Controllers\ChildmenuController;
use App\Http\Controllers\CapabilitiesController;
use App\Http\Controllers\DoctorController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\EquipmentController;
use App\Http\Controllers\VideocategoryController;
use App\Http\Controllers\MedicaldepartmentController;
use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\ProcedureController;





Route::get('/', [AuthController::class, 'login'])->name('login');
Route::get('admin/', [AuthController::class, 'login'])->name('login');
Route::get('admin/login', [AuthController::class, 'login'])->name('login');
Route::post('loginpost', [AuthController::class, 'loginPost']);


Route::group(['middleware' => 'adminAuth'], function(){
    Route::get('admin/dashboard', [DashboardController::class, 'Dashboard'])->name('dashboard');
    // Admin Users Route Start
    Route::get('admin/manageadmin', [AdminUsersController::class, 'ManageAdminUsers'])->name('manageadminusers'); // List of Admin Users
    Route::get('admin/manageadmin/add', [AdminUsersController::class, 'showAdminForm'])->name('newadminuser'); // Show Admin Form
    Route::post('admin/manageadmin/add', [AdminUsersController::class, 'StoreNewAdminUsers'])->name('addnewadminuser'); // Store new user data
    Route::get('admin/manageadmin/edit/{id}', [AdminUsersController::class, 'ViewAdminUsers'])->name('viewdminuser'); // view/edit admin form
    Route::post('admin/manageadmin/edit/{id}', [AdminUsersController::class, 'UpdateAdminUsers'])->name('updatedminuser'); // update admin form
    Route::get('admin/manageadmin/delete/{id}', [AdminUsersController::class, 'DeleteAdminUsers'])->name('deletedminuser'); // update admin form
    Route::get('admin/manageadmin/changepassword/{id}', [AdminUsersController::class, 'ChangePassword'])->name('changepassword'); // view password form
    Route::post('admin/manageadmin/changepassword/{id}', [AdminUsersController::class, 'UpdatePassword'])->name('updatepassword'); // update admin password

    // Admin User's Route Ends
    Route::get('admin/parentmenu/delete/{id}', [ParentmenuController::class, 'DeleteParentMenu'])->name('deleteparentmenu');
    Route::get('admin/roles/delete/{id}', [RoleController::class, 'DeleteRole'])->name('deleterole');

    Route::get('admin/roles/', [RoleController::class, 'DeleteRole'])->name('capabilities');
        

    Route::resource('admin/roles', RoleController::class);
    Route::resource('admin/parentmenu', ParentmenuController::class);
    Route::resource('admin/capabilities', CapabilitiesController::class);
    Route::resource('admin/doctors', DoctorController::class);
    Route::resource('admin/pages', PagesController::class);
    Route::resource('admin/procedure', ProcedureController::class);
    Route::resource('admin/equipment', EquipmentController::class);
    Route::resource('admin/videocategory', VideocategoryController::class);
    Route::resource('admin/medicaldepartment', MedicaldepartmentController::class);
    Route::resource('admin/department', DepartmentController::class);
    
    //Route::resource('admin/videocategory', PagesController::class);

    

    // Manage Parent Menu
    
    Route::get('admin/logout', [AuthController::class, 'AdminLogout'])->name('logout');

});

